JettySolrRunner.Servlet404 (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.embedded.JettySolrRunner.Servlet404 class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.embedded
Class JettySolrRunner.Servlet404

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.solr.client.solrj.embedded.JettySolrRunner.Servlet404

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Enclosing class:
  JettySolrRunner

    public static class JettySolrRunner.Servlet404

extends javax.servlet.http.HttpServlet

This is a stupid hack to give jetty something to attach to

See Also:
  Serialized Form

Constructor Summary
`JettySolrRunner.Servlet404()`

Method Summary
`void` | `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettySolrRunner.Servlet404

    public JettySolrRunner.Servlet404()

Method Detail

### service

    public void service(javax.servlet.http.HttpServletRequest req,
                        javax.servlet.http.HttpServletResponse res)
                 throws IOException

  Overrides:
    `service` in class `javax.servlet.http.HttpServlet`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD